ACN::DMP::Appliance Class Reference

The Appliance class In DMP systems an appliance corresponds to a component that exposes one or more devices (since the rules require that all devices are descendants of a single root device). More...

`#include <appliance.h>`

Inheritance diagram for ACN::DMP::Appliance:
[legend]

## Public Member Functions

| Appliance (UUID::uuid=UUID::uuid())
| Appliance::Appliance. More...
virtual void | DmpReceiver (PDU::Message< RLP::Pdu >)
| Appliance::DmpReceiver. More...
Public Member Functions inherited from ACN::SDT::Member
| Member (UUID::uuid=UUID::uuid())
| Member::Member. More...
virtual void | SdtReceiver (PDU::Message< RLP::Pdu >)
| Member::SdtReceiver. More...
Public Member Functions inherited from ACN::RLP::Component
| Component (UUID::uuid=UUID::uuid())
| Component::Component. More...
virtual void | UdpPayloadReceiver (PDU::Stream)
| Component::UdpPayloadReceiver. More...
virtual void | TcpPacketReceiver (PDU::Stream)
| Component::TcpPacketReceiver. More...
Public Member Functions inherited from ACN::Component
| Component (UUID::uuid cid=UUID::uuid())
| Component. More...
const UUID::uuid | cid () const
| cid More...
const std::string | fixedName () const
| fixedName fixed component name More...
const std::string | userName () const
| userName user-asigned name More...
const std::string | name () const
| component name, either user asigned or fixed. More...
void | assignUserName (const std::string s)
| set the user asigned name More...
Public Member Functions inherited from ACN::DMP::Device
| Device ()
| Device::Device.

## Additional Inherited Members

Protected Member Functions inherited from ACN::RLP::Component
void | RlpReceiver (PDU::Message< RLP::Pdu >)
| Component::RlpReceiver. More...
void | RlpRegisterVector (uint32_t, PDU::Handler< RLP::Pdu >)
| Component::RlpRegisterVectorHandler. More...
Protected Attributes inherited from ACN::Component
std::string | fctn_
| EPI 19: ACN Discovery on IP Networks. More...
std::string | uacn_
| 3.2. More...

## Detailed Description

The Appliance class In DMP systems an appliance corresponds to a component that exposes one or more devices (since the rules require that all devices are descendants of a single root device).

## Constructor & Destructor Documentation

## Appliance()

ACN::DMP::Appliance::Appliance | ( | UUID::uuid | cid = `UUID::uuid()` | ) |

Appliance::Appliance.

Parameters

  cid |

Here is the call graph for this function:

## Member Function Documentation

## DmpReceiver()

void ACN::DMP::Appliance::DmpReceiver | ( | PDU::Message< RLP::Pdu > | rlp | ) |

virtual

Appliance::DmpReceiver.

Parameters

  rlp |

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/dmp/appliance.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/dmp/appliance.cpp